NX Open C++ Reference Guide
|
Represents cutout definition settings for laser move
Created in NX9.0.0.
More...
Public Types | |
enum | Types { TypesGeometry, TypesDimensions } |
the Cutout Definition Type enum Created in NX9.0.0. More... | |
Public Member Functions | |
double | Angle () |
Returns the Angle Created in NX9.0.0. | |
NXOpen::Point * | CenterPoint () |
Returns the Center Point Created in NX9.0.0. | |
double | CornerRadius () |
Returns the Corner Radius Created in NX9.0.0. | |
NXOpen::CAM::LaserCutoutDefinition::Types | CutoutDefType () |
Returns the Cutout Definition Type Created in NX9.0.0. | |
NXOpen::Section * | CutoutSection () |
Returns the Cutout Section Created in NX9.0.0. | |
double | Diameter () |
Returns the Diameter Created in NX9.0.0. | |
double | Length () |
Returns the Length Created in NX9.0.0. | |
void | SetAngle (double newValue) |
Sets the Angle Created in NX9.0.0. | |
void | SetCenterPoint (NXOpen::Point *newValue) |
Sets the Center Point Created in NX9.0.0. | |
void | SetCornerRadius (double newValue) |
Sets the Corner Radius Created in NX9.0.0. | |
void | SetCutoutDefType (NXOpen::CAM::LaserCutoutDefinition::Types type) |
Sets the Cutout Definition Type Created in NX9.0.0. | |
void | SetCutoutSection (NXOpen::Section *cutoutSection) |
Sets the Cutout Section Created in NX9.0.0. | |
void | SetDiameter (double newValue) |
Sets the Diameter Created in NX9.0.0. | |
void | SetLength (double newValue) |
Sets the Length Created in NX9.0.0. | |
void | SetWidth (double newValue) |
Sets the Width Created in NX9.0.0. | |
void | SetWrenchSize (double newValue) |
Sets the Wrench Size Created in NX9.0.0. | |
double | Width () |
Returns the Width Created in NX9.0.0. | |
double | WrenchSize () |
Returns the Wrench Size Created in NX9.0.0. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents cutout definition settings for laser move
Created in NX9.0.0.
double NXOpen::CAM::LaserCutoutDefinition::Angle | ( | ) |
Returns the Angle
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::CAM::LaserCutoutDefinition::CenterPoint | ( | ) |
Returns the Center Point
Created in NX9.0.0.
License requirements : None
double NXOpen::CAM::LaserCutoutDefinition::CornerRadius | ( | ) |
Returns the Corner Radius
Created in NX9.0.0.
License requirements : None
NXOpen::CAM::LaserCutoutDefinition::Types NXOpen::CAM::LaserCutoutDefinition::CutoutDefType | ( | ) |
Returns the Cutout Definition Type
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::CAM::LaserCutoutDefinition::CutoutSection | ( | ) |
Returns the Cutout Section
Created in NX9.0.0.
License requirements : None
double NXOpen::CAM::LaserCutoutDefinition::Diameter | ( | ) |
Returns the Diameter
Created in NX9.0.0.
License requirements : None
double NXOpen::CAM::LaserCutoutDefinition::Length | ( | ) |
Returns the Length
Created in NX9.0.0.
License requirements : None
void NXOpen::CAM::LaserCutoutDefinition::SetAngle | ( | double | newValue | ) |
Sets the Angle
Created in NX9.0.0.
License requirements : cam_base ("CAM BASE")
newValue | the angle value |
void NXOpen::CAM::LaserCutoutDefinition::SetCenterPoint | ( | NXOpen::Point * | newValue | ) |
Sets the Center Point
Created in NX9.0.0.
License requirements : cam_base ("CAM BASE")
newValue | the center point |
void NXOpen::CAM::LaserCutoutDefinition::SetCornerRadius | ( | double | newValue | ) |
Sets the Corner Radius
Created in NX9.0.0.
License requirements : cam_base ("CAM BASE")
newValue | the corner radius value |
void NXOpen::CAM::LaserCutoutDefinition::SetCutoutDefType | ( | NXOpen::CAM::LaserCutoutDefinition::Types | type | ) |
Sets the Cutout Definition Type
Created in NX9.0.0.
License requirements : cam_base ("CAM BASE")
type | the cutout def type |
void NXOpen::CAM::LaserCutoutDefinition::SetCutoutSection | ( | NXOpen::Section * | cutoutSection | ) |
void NXOpen::CAM::LaserCutoutDefinition::SetDiameter | ( | double | newValue | ) |
Sets the Diameter
Created in NX9.0.0.
License requirements : cam_base ("CAM BASE")
newValue | the diameter value |
void NXOpen::CAM::LaserCutoutDefinition::SetLength | ( | double | newValue | ) |
Sets the Length
Created in NX9.0.0.
License requirements : cam_base ("CAM BASE")
newValue | the length value |
void NXOpen::CAM::LaserCutoutDefinition::SetWidth | ( | double | newValue | ) |
Sets the Width
Created in NX9.0.0.
License requirements : cam_base ("CAM BASE")
newValue | the width value |
void NXOpen::CAM::LaserCutoutDefinition::SetWrenchSize | ( | double | newValue | ) |
Sets the Wrench Size
Created in NX9.0.0.
License requirements : cam_base ("CAM BASE")
newValue | the wrench size value |
double NXOpen::CAM::LaserCutoutDefinition::Width | ( | ) |
Returns the Width
Created in NX9.0.0.
License requirements : None
double NXOpen::CAM::LaserCutoutDefinition::WrenchSize | ( | ) |
Returns the Wrench Size
Created in NX9.0.0.
License requirements : None